 /*
  * Khoros: $Id: vdiv.h,v 1.2 1991/12/18 09:35:06 dkhoros Exp $
  */

 /*
  * $Log: vdiv.h,v $
 * Revision 1.2  1991/12/18  09:35:06  dkhoros
 * HellPatch3
 *
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: vdiv.h
 >>>>            Author: Scott Wilson
 >>>> Date Last Updated: Sat Nov 23 23:50:42 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _vdiv_h_
#define _vdiv_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    vdiv Argument Structure
*
****************************************************************/

typedef struct _vdiv  {

/*
 *  first input image (Required infile)
 */
char	*i1_file;	/* first input image FILENAME */
int	 i1_flag;	/* first input image FLAG */

/*
 *  second input image (Required infile)
 */
char	*i2_file;	/* second input image FILENAME */
int	 i2_flag;	/* second input image FLAG */

/*
 *  resulting output image (Required outfile)
 */
char	*o_file;	/* resulting output image FILENAME */
int	 o_flag;	/* resulting output image FLAG */

/*
 *  division operation masking image (Optional infile)
 */
char	*m_file;	/* division operation masking image FILENAME */
int	 m_flag;	/* division operation masking image FLAG */

/*
 *  Complex arithmetic [True] Scalar [False] (Optional logical)
 */
int	 j_logic;	/* Complex arithmetic [True] Scalar [False] LOGIC */
int	 j_flag;  	/* Complex arithmetic [True] Scalar [False] FLAG */

}  vdiv_struct;

vdiv_struct *vdiv;

/* -include_additions */
/*
The following define checks for proper values of:
num_of_images = 1
map_enable = VFF_MAP_OPTIONAL

and verifies that img1 and img2 match for
the above fields and also
num_data_bands
data_storage_type
col_size
row_size.
*/
/* -include_additions_end */

/* -include_macros */
#define CHECKINPUT(program, img1, img2) \
        (void) proper_num_images(program,img1,1,TRUE); \
        (void) match_num_images(program,img1,img2,TRUE); \
        \
        (void) match_num_bands(program,img1,img2,TRUE); \
        \
        (void) proper_map_enable(program,img1,VFF_MAP_OPTIONAL,TRUE);   \
        (void) match_map_enable(program,img1,img2,TRUE); \
        \
        (void) matchsize(program,img1,img2,TRUE)

#define MATCHINPUT(program, img1, img2) \
        (void) match_num_images(program,img1,img2,TRUE); \
        \
        (void) match_num_bands(program,img1,img2,TRUE); \
        \
        (void) match_map_enable(program,img1,img2,TRUE); \
        \
        (void) matchsize(program,img1,img2,TRUE)
/* -include_macros_end */

#endif
