 /*
  * Khoros: $Id: form_info.h,v 1.3 1992/03/20 22:40:11 dkhoros Exp $
  */

 /*
  * $Log: form_info.h,v $
 * Revision 1.3  1992/03/20  22:40:11  dkhoros
 * VirtualPatch5
 *
  */

/*
 *---------------------------------------------------------------------
 *            Copyright 1990 University of New Mexico
 * 
 * Permission to copy and modify this software and its documen- 
 * tation only for internal use in your organization is hereby 
 * granted, provided that this notice is retained thereon and 
 * on all copies.  UNM makes no representations as too the sui- 
 * tability and operability of this software for any purpose. 
 * It is provided 'as is' without express or implied warranty. 
 *  
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT- 
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT- 
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS 
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER- 
 * FORMANCE OF THIS SOFTWARE. 
 *  
 * No other rights, including for example, the right to redis- 
 * tribute this software and its documentation or the right to 
 * prepare derivative works, are granted unless specifically 
 * provided in a separate license agreement. 
 * 
 *---------------------------------------------------------------------
 */

/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name:  form_info.h
 >>>>
 >>>>      Program Desc:  structure in which values extracted
 >>>>                      from the graphical user interface are stored
 >>>>
 >>>>            Author:  automatically generated by conductor
 >>>>
 >>>> Date Last Updated:  Fri Mar 13 14:22:53 1992
 >>>>
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

typedef struct {

        float zoomfactor;
        int zoomfactor_index;
        int zoomfactor_selected;

        int cursor;
        int cursor_index;
        int cursor_selected;

        int update_mode;
        int update_mode_index;
        int update_mode_selected;

        Widget zoom_workspace;
        int zoom_workspace_index;

        int quit;

} zoom_subform_zoom;

typedef struct {

        zoom_subform_zoom  *zoom;
        int zoom_selected;
        int zoom_index;
        int zoom_gb_index;

}  edit_zoom_subform;


typedef struct {

        int color_model_val;
        int color_model_index;
        int color_model_selected;

        int update_mode;
        int update_mode_index;
        int update_mode_selected;

        Widget pixels_workspace;
        int pixels_workspace_index;

        int quit;

} pixels_subform_pixels;

typedef struct {

        pixels_subform_pixels  *pixels;
        int pixels_selected;
        int pixels_index;
        int pixels_gb_index;

}  edit_pixels_subform;


typedef struct {

        int color_model_val;
        int color_model_index;
        int color_model_selected;

        int histogram;
        int histogram_index;
        int histogram_selected;

        int hist_type;
        int hist_type_index;
        int hist_type_selected;

        Widget lut_workspace;
        int lut_workspace_index;

        int quit;

} lut_subform_lut;

typedef struct {

        lut_subform_lut  *lut;
        int lut_selected;
        int lut_index;
        int lut_gb_index;

}  edit_lut_subform;


typedef struct {

        int color_model_val;
        int color_model_index;
        int color_model_selected;

        Widget pseudo_workspace;
        int pseudo_workspace_index;

        int quit;

} pseudo_subform_pseudo;

typedef struct {

        pseudo_subform_pseudo  *pseudo;
        int pseudo_selected;
        int pseudo_index;
        int pseudo_gb_index;

}  edit_pseudo_subform;


typedef struct {

        int invert;
        int invert_index;
        int invert_selected;

        int non_zero_pixel;
        int non_zero_pixel_index;
        int non_zero_pixel_selected;

        int thresholding_val;
        int thresholding_index;
        int thresholding_selected;

        Widget thres_workspace;
        int thres_workspace_index;

        int accept;
        int accept_index;
        int accept_selected;

        int fill_pixel;
        int fill_pixel_index;
        int fill_pixel_selected;

        int quit;

} thres_subform_thres;

typedef struct {

        thres_subform_thres  *thres;
        int thres_selected;
        int thres_index;
        int thres_gb_index;

}  edit_thres_subform;


typedef struct {

        char *input_path;
        int input_path_index;
        int input_path_selected;

        char *output_path;
        int output_path_index;
        int output_path_selected;

        char *image;
        int image_index;
        int image_selected;

        char *colormap;
        int colormap_index;
        int colormap_selected;

        char *clip;
        int clip_index;
        int clip_selected;

        char *shape;
        int shape_index;
        int shape_selected;

        char *overlay;
        int overlay_index;
        int overlay_selected;

        char *outfile;
        int outfile_index;
        int outfile_selected;

        char *outmap;
        int outmap_index;
        int outmap_selected;

        int quit;

} files_subform_file;

typedef struct {

        files_subform_file  *file;
        int file_selected;
        int file_index;
        int file_gb_index;

}  edit_files_subform;


typedef struct {

        int place_val;
        int place_val_index;
        int place_val_selected;

        int x;
        int x_index;

        int y;
        int y_index;

        int width;
        int width_index;

        int height;
        int height_index;

        char *insert;
        int insert_index;
        int insert_selected;

        char *extract;
        int extract_index;
        int extract_selected;

        int options;
        int options_index;
        int options_selected;

        int commands;
        int commands_index;

        int quit;

} roi_subform_roi;

typedef struct {

        roi_subform_roi  *roi;
        int roi_selected;
        int roi_index;
        int roi_gb_index;

}  edit_roi_subform;


typedef struct {

        int color_type_val;
        int color_type_index;
        int color_type_selected;

        int quit;

} colormap_subform_colormap;

typedef struct {

        colormap_subform_colormap  *colormap;
        int colormap_selected;
        int colormap_index;
        int colormap_gb_index;

}  edit_colormap_subform;


typedef struct {

        char *ov_input;
        int ov_input_index;
        int ov_input_selected;

        char *ov_output;
        int ov_output_index;
        int ov_output_selected;

} xvoverlay_ovfile;



typedef struct {

        char *color;
        int color_index;

        char *font;
        int font_index;

        char *text;
        int text_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int create;
        int create_index;

} xvoverlay_text;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int filled;
        int filled_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int x_edge;
        int x_edge_index;

        int y_edge;
        int y_edge_index;

        int create;
        int create_index;

} xvoverlay_circle;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int filled;
        int filled_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int x_corner;
        int x_corner_index;

        int y_corner;
        int y_corner_index;

        int create;
        int create_index;

} xvoverlay_rectangle;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int x_end;
        int x_end_index;

        int y_end;
        int y_end_index;

        int create;
        int create_index;

} xvoverlay_line;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int filled;
        int filled_index;

        int create;
        int create_index;

} xvoverlay_polygon;

typedef struct {

        int delete;

        int copy;

        int raise;

        int lower;

        xvoverlay_ovfile  *ovfile;
        int ovfile_selected;
        int ovfile_index;
        int ovfile_gb_index;

        xvoverlay_text  *text;
        int text_selected;
        int text_index;
        int text_gb_index;

        xvoverlay_circle  *circle;
        int circle_selected;
        int circle_index;
        int circle_gb_index;

        xvoverlay_rectangle  *rectangle;
        int rectangle_selected;
        int rectangle_index;
        int rectangle_gb_index;

        xvoverlay_line  *line;
        int line_selected;
        int line_index;
        int line_gb_index;

        xvoverlay_polygon  *polygon;
        int polygon_selected;
        int polygon_index;
        int polygon_gb_index;

        int quit;

}  edit_xvoverlay;


typedef struct {

        char *comment_string;
        int comment_string_index;

        int comment;
        int comment_index;

        int quit;

} comment_subform_comment;

typedef struct {

        comment_subform_comment  *comment;
        int comment_selected;
        int comment_index;
        int comment_gb_index;

}  edit_comment_subform;


typedef struct { 

        int change_bands;

        int overlay_image;

        int combine_overlays;

        int info;

        int combine_annotations;

        int image_workspace_index;

        Widget image_workspace;

        edit_zoom_subform  *zoom_subform;
        int zoom_subform_selected;
        int zoom_subform_index;
        int zoom_subform_sfb_index;

        edit_pixels_subform  *pixels_subform;
        int pixels_subform_selected;
        int pixels_subform_index;
        int pixels_subform_sfb_index;

        edit_lut_subform  *lut_subform;
        int lut_subform_selected;
        int lut_subform_index;
        int lut_subform_sfb_index;

        edit_pseudo_subform  *pseudo_subform;
        int pseudo_subform_selected;
        int pseudo_subform_index;
        int pseudo_subform_sfb_index;

        edit_thres_subform  *thres_subform;
        int thres_subform_selected;
        int thres_subform_index;
        int thres_subform_sfb_index;

        edit_files_subform  *files_subform;
        int files_subform_selected;
        int files_subform_index;
        int files_subform_sfb_index;

        edit_roi_subform  *roi_subform;
        int roi_subform_selected;
        int roi_subform_index;
        int roi_subform_sfb_index;

        edit_colormap_subform  *colormap_subform;
        int colormap_subform_selected;
        int colormap_subform_index;
        int colormap_subform_sfb_index;

        edit_xvoverlay  *xvoverlay;
        int xvoverlay_selected;
        int xvoverlay_index;
        int xvoverlay_sfb_index;

        edit_comment_subform  *comment_subform;
        int comment_subform_selected;
        int comment_subform_index;
        int comment_subform_sfb_index;

        int quit;


 }  edit; 

